import { FC, MouseEventHandler, ReactChild } from "react";
declare type StatusType = "confirm" | "info" | "error";
declare type StatusStyleType = "inline" | "toast" | "minimal";
interface StatusMessageProps {
    headline: ReactChild;
    message?: ReactChild;
    statusType: StatusType;
    statusStyle?: StatusStyleType;
    onClose?: MouseEventHandler;
}
declare const StatusMessage: FC<StatusMessageProps>;
export { StatusMessage };
